<?php
//session_start();

$estado_session = session_status();
if($estado_session == PHP_SESSION_NONE){
    session_start();
}

include "verifica.php";
include("../conexion.php");


$xemp_codi_fk = $_REQUEST['emp_codi_fk'];
$xcriterio = trim($_REQUEST['xcriterio']);

if($xcriterio==""){
	exit;
}

/*
$r = mysqli_query($conexion,"SELECT prd_codi, unimed_codi_fk, prc_precio, prd_codigo, prd_nombre, prctip_nombre
							FROM productos p
							INNER JOIN precios prc ON prc.prd_codi_fk=p.prd_codi
							INNER JOIN precios_tipo pt ON pt.prctip_codi=prc.prctip_codi_fk
							LEFT JOIN productos_codigos_proveedor pcp ON pcp.prd_codi_fk=p.prd_codi	
							WHERE prc.emp_codi_fk=$xemp_codi_fk AND
							p.prd_estado = 1 AND
							pt.prctip_codi = 2 AND
							(p.prd_codigo = '$xcriterio' OR
							pcp.prdcod_codigo1 = '$xcriterio' OR
							pcp.prdcod_codigo2 = '$xcriterio' OR
							pcp.prdcod_codigo3 = '$xcriterio' OR
							pcp.prdcod_codigo4 = '$xcriterio' OR
							pcp.prdcod_codigo5 = '$xcriterio' OR
							pcp.prdcod_codigo6 = '$xcriterio' OR
							pcp.prdcod_codigo7 = '$xcriterio' OR
							pcp.prdcod_codigo8 = '$xcriterio' OR
							pcp.prdcod_codigo9 = '$xcriterio' OR
							pcp.prdcod_codigo10 = '$xcriterio');");
*/


$r = mysqli_query($conexion,"SELECT * FROM productos p 
										INNER JOIN marcas m ON p.mar_codi_fk=m.mar_codi 
										INNER JOIN presentacion prs ON p.prs_codi_fk=prs.prs_codi 
										INNER JOIN productos_familia prdfam ON p.prdfam_codi_fk=prdfam.prdfam_codi
										INNER JOIN unidades_medida u ON u.unimed_codi=p.prd_unidad_minima   
										LEFT JOIN productos_codigos_proveedor pcp ON pcp.prd_codi_fk=p.prd_codi										
										WHERE p.prd_estado=1 AND 
										(p.prd_codigo = '$xcriterio' OR 	
										CONCAT(prdfam_codigo,'-',prd_codigo) = '$xcriterio' OR																												
										pcp.prdcod_codigo1 = '$xcriterio' OR
										pcp.prdcod_codigo2 = '$xcriterio' OR
										pcp.prdcod_codigo3 = '$xcriterio' OR
										pcp.prdcod_codigo4 = '$xcriterio' OR
										pcp.prdcod_codigo5 = '$xcriterio' OR
										pcp.prdcod_codigo6 = '$xcriterio' OR
										pcp.prdcod_codigo7 = '$xcriterio' OR
										pcp.prdcod_codigo8 = '$xcriterio' OR
										pcp.prdcod_codigo9 = '$xcriterio' OR
										pcp.prdcod_codigo10 = '$xcriterio');");


							
							
if(mysqli_num_rows($r) <= 0){
	?>
	<script language="javascript">
	alert("ADVERTENCIA: CODIGO NO IDENTIFICADO.");
	</script>
	<?php
}else{
	if(mysqli_num_rows($r) > 1){
		?>
		<script language="javascript">			
		parent.parent.adicionar_item_almacen_detalle('adicionar');		
		parent.parent.document.getElementById('xcriterio2').value = "<?php echo $xcriterio;?>"; 
		
		alert("MAS DE UN RESULTADO.");
		</script>
		<?php
	}else{
	
		while($row = mysqli_fetch_array($r)){
			$xprd_codi = $row['prd_codi'];	
			//$xprc_precio = $row['prc_precio'];
			$xunimed_codi_fk = $row['unimed_codi_fk'];			
		}	
		?>		
		<script language="javascript">
		//alert("OK3.");
		//frame_pedidos_detalle_item.
		
		parent.agregar_item_almacen(<?php echo $xprd_codi;?>,
											'adicionar',
											'temporal');
		
											
		//parent.parent.document.getElementById('xcodigo_barras').focus();									
		parent.parent.document.getElementById('xcodigo_barras').value="";
		</script>
		<?php	
	}
}


?>